rem This batch file, HP4FORMS.BAT, is used to temporarily switch
rem printer codes for the HP LaserJet 4 while using PAF to print
rem the custom blank genealogy forms for the HP/LJ 4

rem Make sure the HP/LJ 4 print files exist - if they don't, it means
rem configuration is not standard and this batch file won't work

IF NOT EXIST HP4-1.PRN   GOTO FILEMISS
IF NOT EXIST HP4-317.PRN GOTO FILEMISS

rem If backup copies of the original print files don't exist - make a copy
rem If they already exist, skip making the copy

IF EXIST HP4-1.OPC   GOTO SkipCpy1

COPY HP4-1.PRN   HP4-1.OPC

:SkipCpy1

IF EXIST HP4-317.OPC GOTO SkipCpy3

COPY HP4-317.PRN HP4-317.OPC

:SkipCpy3

rem Replace the original print codes with custom codes for printing forms

COPY HP4FRM-1.PRN HP4-1.PRN
COPY HP4FRM-3.PRN HP4-317.PRN

rem Run PAF's Family Records program to print the forms

FR.EXE

rem Restore the saved copies of the original print codes

COPY HP4-1.OPC   HP4-1.PRN
COPY HP4-317.OPC HP4-317.PRN
GOTO DONE

FILEMISS:
echo I can't find the HP/LJ4 printer code files so this batch file won't work

DONE: